/*
 * @(#)src/classes/sov/javax/print/attribute/PrintServiceAttribute.java, print, asdev, 20090625 1.8
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */





/* 
 *
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ----   ------    -------------------------------------------------- 
 * 64632   250903 psuryana  Add IBM module header;
 *
 * ===========================================================================
 * Module Information:
 * 
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */

package javax.print.attribute;

/**
 * Interface PrintServiceAttribute is a tagging interface which a printing 
 * attribute class implements to indicate the attribute describes the status 
 * of a Print Service or some other characteristic of a Print Service. A Print 
 * Service instance adds a number of PrintServiceAttributes to a Print
 * service's attribute set to report the Print Service's status. 
 * <P>
 *
 * @see PrintServiceAttributeSet
 *
 * @author  Alan Kaminsky
 */
public interface PrintServiceAttribute extends Attribute {
}
